Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.util
Class ClassUtil

    java.lang.Object
      org.apache.tiles.util.ClassUtil

Deprecated. Use `ClassUtil`.

    @Deprecated
    public final class ClassUtil

extends java.lang.Object

Utilities to work with dynamic class loading and instantiation.

Version:
  $Rev: 709153 $ $Date: 2008-10-30 13:54:10 +0100 (gio, 30 ott 2008) $

Method Summary
`static java.lang.Object` | `instantiate(java.lang.String className)` Deprecated. Use `ClassUtil.instantiate(String)`.
`static java.lang.Object` | `instantiate(java.lang.String className, boolean returnNull)` Deprecated. Use `ClassUtil.instantiate(String, boolean)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instantiate

    @Deprecated
    public static java.lang.Object instantiate(java.lang.String className)

  Deprecated. Use `ClassUtil.instantiate(String)`.

  Returns an instance of the given class name, by calling the default constructor.

  Parameters:
    `className` - The class name to load and to instantiate.
  Returns:
    The new instance of the class name.
  Throws:
    `CannotInstantiateObjectException` - If something goes wrong during instantiation.

### instantiate

    @Deprecated
    public static java.lang.Object instantiate(java.lang.String className,
                                                          boolean returnNull)

  Deprecated. Use `ClassUtil.instantiate(String, boolean)`.

  Returns an instance of the given class name, by calling the default constructor.

  Parameters:
    `className` - The class name to load and to instantiate.
    `returnNull` - If `true`, if the class is not found it returns `true`, otherwise it throws a `TilesException`.
  Returns:
    The new instance of the class name.
  Throws:
    `CannotInstantiateObjectException` - If something goes wrong during instantiation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.